﻿// cc-by 3.0 Austria, (c) 2011 Markus Loeberbauer
// http://ssw.jku.at/Teaching/Lectures/SpezialLVA/JavaFX/
package at.ssw.jku.view;

import at.ssw.jku.model.Goody;
import javafx.scene.Parent;
import javafx.scene.paint.Color;
import javafx.scene.shape.Rectangle;

public final class GoodyNode extends Parent {
  GoodyNode(final Goody goody, final CoordinateConverter converter) {
    final Rectangle rect = new Rectangle(converter.modelToScreenWidth(1), converter.
        modelToScreenHeight(1), Color.RED);
    rect.xProperty().bind(converter.modelToScreenXBinding(goody.xProperty()));
    rect.yProperty().bind(converter.modelToScreenYBinding(goody.yProperty()));
    rect.visibleProperty().bind(goody.availableProperty());
    getChildren().add(rect);
  }
}
